jQuery.fn.selText = function() {

    var obj = this[0];

    if (jQuery.browser.msie) {

        var range = obj.offsetParent.createTextRange();

        range.moveToElementText(obj);

        range.select();

    } else if (jQuery.browser.mozilla || jQuery.browser.opera) {

        var selection = obj.ownerDocument.defaultView.getSelection();

        var range = obj.ownerDocument.createRange();

        range.selectNodeContents(obj);

        selection.removeAllRanges();

        selection.addRange(range);

    } else if (jQuery.browser.safari) {

        var selection = obj.ownerDocument.defaultView.getSelection();

        selection.setBaseAndExtent(obj, 0, obj, 1);

    }

    return this;

}



jQuery(document).ready( function(){

	jQuery("#codeContainer .code, .shortCodeContainer").click(function(){

		jQuery(this).selText();

	});

	 jQuery("#optinType").change(function(){

			  if( jQuery(this).val() == "gr" ){

				jQuery(".awberform").hide();

				jQuery(".grform").show();

			  }	else if( jQuery(this).val() == "awber" ){

					jQuery(".awberform").show();

					jQuery(".grform").hide();

			  } else if( jQuery(this).val() == "both" ){

					jQuery(".awberform").show();

					jQuery(".grform").show();

			  } else if(jQuery(this).val() == "html" ){
					jQuery(".grform").hide();
					jQuery(".awberform").hide();			  
			  }
			  if( jQuery(this).val() == "html" ){
					jQuery(".autoresponder-fields").hide();
					jQuery(".otherresponder-fields").show();					
			  } else {
					jQuery(".autoresponder-fields").show();
					jQuery(".otherresponder-fields").hide();								  
			  }

		 });

	// front btn type

	jQuery("input[name='trigger_btn_type']").change(function(){

		  if( jQuery(this).val() == "image" ){

			  jQuery("#frontBtnImageContainer").show();

			  jQuery("#frontBtnTextContainer").hide();

		  } else {

			  if( jQuery(this).val() == "url" ){

				  jQuery("#frontButtonText").attr("placeholder", "Front button Url");

			  } else {

				  jQuery("#frontButtonText").attr("placeholder", "Front button text");

				}

			  jQuery("#frontBtnImageContainer").hide();

			  jQuery("#frontBtnTextContainer").show();

		  }

	});

	// front image
	// front btn type

	jQuery("input[name='image_type']").change(function(){

		  if( jQuery(this).val() == "image" ){

			  jQuery("#frontImageUrlContainer").hide();

			  jQuery("#frontImageContainer").show();

		  } else {

			  jQuery("#frontImageUrlContainer").show();

			  jQuery("#frontImageContainer").hide();

		  }

	});



});

function validation (f ){

	  var optinTypeValue =  jQuery("#responder_type").val();

	  var error  = false;

	  var errorString = "";

	  // awber for validation

	  if( optinTypeValue == "awber"){

	  	  if(jQuery.trim(f.listName.value ) == "" ){

	  		  f.listName.focus();

	  		  error = true;

	  		  errorString += "Please enter the List name.";

	  	  }

	  }

	  // gr form validation

	  if( optinTypeValue == "gr"){

	  	  if(jQuery.trim(f.webFormId.value ) == "" ){

	  		  f.webFormId.focus();

	  		  error = true;

	  		  errorString += "Please enter Get Resposne Web form Id.";

	  	  }

	  }

	  // both form validation

	  if( optinTypeValue == "both"){

		  if(jQuery.trim(f.listName.value ) == "" ){

	  		  f.listName.focus();

	  		  error = true;

	  		  errorString += "Please enter the List name.\n";

	  	  }

	  	  if(jQuery.trim(f.webFormId.value ) == "" ){

	  		  f.listName.focus();

	  		  error = true;

	  		  errorString += "Please enter the Get Resposne Web form Id.\n";

	  	  }

	  }

	  if( error == true ){ alert( errorString); return false; }



	  return true;



}